# Terrain Importer

This mode allows you to create sectors from a Wavefront .obj model.
Menu path: File -> Import -> Wavefront .obj as Terrain.
Action category: Tools.
Default key: none.

Usage:
Create a terrain model in your favorite 3D modeling app (Blender, Earth Sculptor or any other, which can save or export a model to Wavefront .obj format)
Use File -> Import -> Wavefront .obj as Terrain action to import it as sectors. Each polygon in your model will be transformed into a sector.

Settings:
Scale: self explanatory. The default is 1.0.
Up axis: should be the same as vertical axis in the 3D modeling app used to create a terrain model.
Sloped terrain: when enabled, the mode will generate sloped terrain using floor vertex height offsets ("ZFloor") in UDMF or Vertex slope floor (1504) things. Regardless of this setting, the mode will also set each new sector's floor height to the averaged height of a polygon it was created from.
Limitations:
The model should be triangulated.
Polygons should not overlap each other when viewed from the top.